﻿using Android.App;
using Android.OS;
using System;
using ThinkGeo.MapSuite.AndroidEdition;
using ThinkGeo.MapSuite.Core;

namespace RotationSample
{
    [Activity(Label = "RotationSample", MainLauncher = true, Icon = "@drawable/icon")]
    public class MainActivity : Activity
    {
        protected override void OnCreate(Bundle bundle)
        {
            base.OnCreate(bundle);

            SetContentView(Resource.Layout.Main);
            MapView mapView = (MapView)FindViewById(Resource.Id.androidmap);
            mapView.MapUnit = GeographyUnit.Meter;
            mapView.ZoomLevelSet = new OpenStreetMapsZoomLevelSet();
            mapView.ExtentOverlay.IsRotationEnabled = true;

            int width = WindowManager.DefaultDisplay.Width;
            int height = WindowManager.DefaultDisplay.Height;
            ushort longth = (ushort)Math.Sqrt(width * width + height * height);
            mapView.DrawingMarginInPixels = (ushort)Math.Max(longth - width, longth - height);

            OpenStreetMapOverlay osmOvelerlay = new OpenStreetMapOverlay();
            mapView.CurrentExtent = osmOvelerlay.GetBoundingBox();
            mapView.Overlays.Add(osmOvelerlay);
        }
    }
}

